> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tagada.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the browser SDK configuration

> The vault's public key, the 3DS providers' browser settings and the wallets' merchant ids.



## OpenAPI

````yaml /payments-api/openapi.json get /v1/client-config
openapi: 3.1.0
info:
  title: TagadaPay Payments API
  version: '2026-11-01'
servers:
  - url: https://api.tagada.io
security: []
paths:
  /v1/client-config:
    get:
      tags:
        - eligibility
      summary: Read the browser SDK configuration
      description: >-
        The vault's public key, the 3DS providers' browser settings and the
        wallets' merchant ids.
      operationId: eligibility.clientConfig
      parameters:
        - in: header
          name: payments-account
          required: false
          schema:
            type: string
        - in: header
          name: payments-version
          required: false
          schema:
            enum:
              - '2026-11-01'
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientConfig'
          description: Client configuration.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: authentication_required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: permission_denied
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: rate_limited
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: internal_error
        '501':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: not_implemented
      security:
        - bearerAuth: []
components:
  schemas:
    ClientConfig:
      additionalProperties: false
      properties:
        mode:
          enum:
            - live
            - test
          type: string
        object:
          enum:
            - client_config
          type: string
        three_ds_providers:
          items:
            additionalProperties: false
            properties:
              name:
                enum:
                  - basis_theory
                type: string
              public_key:
                type: string
            required:
              - name
              - public_key
            type: object
          type: array
        vault:
          additionalProperties: false
          properties:
            provider:
              enum:
                - basis_theory
              type: string
            public_key:
              type: string
            tenant_id:
              type:
                - string
                - 'null'
          required:
            - provider
            - public_key
            - tenant_id
          type:
            - object
            - 'null'
        wallets:
          additionalProperties: false
          properties:
            apple_pay:
              additionalProperties: false
              properties:
                merchant_id:
                  type: string
              required:
                - merchant_id
              type:
                - object
                - 'null'
            google_pay:
              additionalProperties: false
              properties:
                gateway:
                  enum:
                    - basistheory
                  type: string
                gateway_merchant_id:
                  type: string
                merchant_id:
                  type: string
              required:
                - merchant_id
                - gateway
                - gateway_merchant_id
              type:
                - object
                - 'null'
          required:
            - apple_pay
            - google_pay
          type: object
      required:
        - object
        - mode
        - vault
        - three_ds_providers
        - wallets
      type: object
    ApiError:
      properties:
        error:
          properties:
            code:
              $ref: '#/components/schemas/ErrorCode'
            details:
              additionalProperties: {}
              type: object
            message:
              type: string
            param:
              type:
                - string
                - 'null'
            request_id:
              type: string
            type:
              enum:
                - invalid_request_error
                - authentication_error
                - permission_error
                - conflict_error
                - rate_limit_error
                - api_error
                - unavailable_error
              type: string
          required:
            - type
            - code
            - message
            - param
            - request_id
          type: object
      required:
        - error
      type: object
    ErrorCode:
      enum:
        - account_daily_cap_exceeded
        - account_not_enabled
        - amount_out_of_range
        - authentication_required
        - checkout_session_in_use
        - currency_not_supported
        - fx_rate_unavailable
        - idempotency_key_in_progress
        - idempotency_key_reused
        - internal_error
        - no_active_policy
        - not_implemented
        - parameter_invalid
        - parameter_missing
        - parent_payment_invalid
        - parent_payment_not_allowed
        - parent_payment_not_paid
        - payment_method_not_usable
        - payment_method_required
        - payment_method_save_disabled
        - payment_not_confirmable
        - payment_not_retryable
        - payments_api_disabled
        - permission_denied
        - rate_limited
        - resource_not_found
        - retry_exists
        - retry_limit_reached
        - store_not_on_payments_api
        - stored_credential_missing
      type: string
      x-extensible-enum:
        - account_daily_cap_exceeded
        - account_not_enabled
        - amount_out_of_range
        - authentication_required
        - checkout_session_in_use
        - currency_not_supported
        - fx_rate_unavailable
        - idempotency_key_in_progress
        - idempotency_key_reused
        - internal_error
        - no_active_policy
        - not_implemented
        - parameter_invalid
        - parameter_missing
        - parent_payment_invalid
        - parent_payment_not_allowed
        - parent_payment_not_paid
        - payment_method_not_usable
        - payment_method_required
        - payment_method_save_disabled
        - payment_not_confirmable
        - payment_not_retryable
        - payments_api_disabled
        - permission_denied
        - rate_limited
        - resource_not_found
        - retry_exists
        - retry_limit_reached
        - store_not_on_payments_api
        - stored_credential_missing
  securitySchemes:
    bearerAuth:
      description: >-
        Secret, platform or publishable API key. Platform keys require
        Payments-Account.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.